petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecSetDM

Sets the DM defining the data layout of the vector.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode VecSetDM(Vec v, DM dm)

Not collective

### Input Parameters

| v | - The Vec
| dm | - The DM

Note: This is NOT the same as DMCreateGlobalVector() since it does not change the view methods or perform other customization, but merely sets the DM member.

### See Also

VecGetDM(), DMGetLocalVector(), DMGetGlobalVector(), DMSetVecType()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html